ChatStateHandler Class Referenceabstract

`#include <chatstatehandler.h>`

## Public Member Functions

virtual | ~ChatStateHandler ()
virtual void | handleChatState (const JID &from, ChatStateType state)=0

## Detailed Description

A virtual interface that enables an object to be notified about a remote entity's Chat States (XEP-0085).

Author
  Jakob Schröter js@ca.nosp@m.maya.nosp@m..net

Since
  0.8

Definition at line 31 of file chatstatehandler.h.

## Constructor & Destructor Documentation

## ~ChatStateHandler()

virtual ~ChatStateHandler | ( |  | ) |

inline virtual

Virtual Destructor.

Definition at line 37 of file chatstatehandler.h.

## Member Function Documentation

## handleChatState()

virtual void handleChatState | ( | const JID & | from,
|  | ChatStateType | state )

pure virtual

Notifies the ChatStateHandler that a different chat state has been set by the remote contact.

Parameters

  from | The originator of the Event.
  state | The chat state set by the remote entity.

The documentation for this class was generated from the following file:

- chatstatehandler.h